# Cacher

This is an implementation of one of the assignments from the [Rust book](https://doc.rust-lang.org/book/ch13-01-closures.html#limitations-of-the-cacher-implementation). It caches the return value of a generic T(X) -> Y closure for different input arguments using a struct with an internal hashmap. It also reads command line arguments for easy testing: the first argument is the closure parameter (u32) and the second argument is the simulated random value (u32).